Semantic MediaWiki 1.5.4 (de)

From semantic-mediawiki.org
Jump to: navigation, search
Semantic MediaWiki 1.5.4
Veröffentlichungsdatum: 01.12.2010
Vorhergehende Version: 1.5.3
Nachfolgende Version: 1.5.5
Kompatibel mit: MW 1.14.x - 1.17.x
Aktuelle Version
SMW 2.4.1
Inhaltsverzeichnis

Semantic MediaWiki 1.5.4 (SMW 1.5.4) ist nach Semantic MediaWiki 1.5.3 die nächste Versionsveröffentlichung. Diese Version behebt etliche Softwarefehler, die bei vorhergehenden Softwareveröffentlichung identifiziert wurden.

Installation oder Aktualisierung

Erstinstallation

Eine Anleitung zur Erstinstallation von Semantic MediaWiki 1.5.4 ist auf der Hilfeseite zur Installation dokumentiert.

Aktualisierung bestehender Installationen

Bestehenden Installationen von SMW 1.5.0 bis 1.5.3 können aktualisiert werden, indem man die Programmdateien auf dem Server ersetzt. Davor muss allerdings MediaWiki auf die Version 1.15.0 oder höher aktualisiert werden, welche nunmehr Voraussetzung für SMW ist. Bitte beachten Sie auch die weiteren Hinweise unter Softwareerweiterungen, bevor Sie die Aktualisierung von SMW durchführen.

Es wird empfohlen, sofern dies nicht bereits mit der Aktualisierung auf die Version SMW 1.5.3 erfolgt ist, die Aktivierung von SMW 1.5.4 vorzunehmen, indem man, wie unter Erstinstallation beschrieben, in der Datei LocalSettings.php die Codezeile

include_once("$IP/extensions/SemanticMediaWiki/includes/SMW_Settings.php");

durch

include_once("$IP/extensions/SemanticMediaWiki/SemanticMediaWiki.php");

ersetzt. Die Verwendung der Datei SMW_Settings.php ist weiterhin möglich. Dies wird allerdings bei einer zukünftigen Version vom SMW nicht mehr der Fall sein.

Informationen zur Aktualisierung älterer Programmversionen (<= SMW 1.4.3) werden unter Aktualisierung bestehender Installationen erläutert.

Softwareerweiterungen

Die allermeisten Softwareerweiterungen, die mit der Version SMW 1.5.1 bis 1.5.3 kompatibel sind, sollten ohne weitere Änderungen auch mit dieser Version kompatibel sein. Sofern von der Version SMW 1.5.0 aktualisiert wird, müssen die kompatiblen Versionen der Softwareerweiterungen zusammen mit Semantic MediaWiki aktualisiert werden. Beispielsweise ist nun Semantic Maps in der Version 0.6 oder höher erforderlich. Im Fall von Problemen kann die Aktualisierung auch rückgängig gemacht werden, indem man die Programmdateien wieder mit denen von SMW 1.5.0 überschreibt. Dann muss mit der Aktualisierung gewartet werden, bis auch die eingesetzten Softwareerweiterungen in einer aktualisierten und kompatiblen Version zur Verfügung stehen.

Änderungen mit dieser Version

Fehlerbehebungen

Mit SMW 1.5.4 werden etliche Fehler im Quellcode der Software behoben, die bei vorhergehenden Versionen entdeckt wurden. Hervorzuheben sind die folgenden Fehlerbehebungen:

  • Der Fehler bei der Parserfunktion declare, der mit Version SMW 1.5.3 aufgetreten ist, wurde behoben.
  • Die Anmutung der Faktenanzeige sowie der Sortierknöpfe bei sortierbaren Tabellen wurde für die MediaWiki-Version 1.17 berichtigt.
  • Behoben wurde der Fehler bei „Andere Optionen“ auf der Spezialseite Spezial:Semantische Suche, der bei Version SMW 1.5.3 aufrat.

Verbesserungen und Strukturänderungen des Programmcodes

Der Programmcode und dessen Struktur wurden mit dem Ziel verbessert, nunmehr den allgemeinen Codekonventionen von MediaWiki zu entsprechen. Zudem wurden an etlichen Stellen weitere Codedokumentationen hinzugefügt.

Übersetzung der Software

Wie bei jeder neuen Version hat auch dieses Mal das Translatewiki.net-Projekt zusätzliche und verbesserte Übersetzungen der Benutzeroberfläche angefertigt.


Diese Seite in anderen Sprachen: en

Semantic MediaWiki 1.5.4 de